<app-title [title]="text"></app-title>
<div [className]="globals.isMobile ? 'has-margin-left-4 has-margin-right-4 has-margin-top-3' : 'is-flex is-justify-center has-margin-top-3'">
    <div [className]="globals.isMobile ? 'background' : 'background width-2'">
        <form class="is-flex has-padding" [formGroup]="account">
            <div id="Check" [className]="globals.isMobile ? 'is-flex has-margin-top-1 is-align-center is-column' : 'is-flex has-margin-top-1 is-align-center'">
                <div>
                    <label [className]="globals.isMobile ? 'font-size-mobile' : 'font-size-desktop'">C'est un compte pour ?</label>
                    <label [className]="globals.isMobile ? 'font-size-mobile has-margin-left-1 has-margin-right-1' : 'font-size-desktop has-margin-left-1 has-margin-right-1'">{{type}}</label>
                </div>
                <div>
                    <img width="70px" class="child" (click)="Change()" [src]="childImg">
                    <img width="70px" class="parent" (click)="Change()" [src]="parentImg">
                </div>
            </div>
            <app-password [password]="'hidden'" [text]="'Email'" formControlName="email"></app-password>
            <app-password [password]="'hidden'" [text]="'Nom'" formControlName="lastname"></app-password>
            <app-password [password]="'hidden'" [text]="'Prénom'" formControlName="firstname"></app-password>
            <app-password [password]="'hidden'" [text]="'Pseudonyme'" formControlName="pseudo"></app-password>
            <app-password formControlName="password" [checkInput]="'true'" [password]="'visible'" [text]="'Mot de passe'"> </app-password>
            <div *ngIf="isChild$ | async" id="is-Child" [className]="globals.isMobile ? 'is-flex is-align-center is-column' : 'is-flex is-space-around is-align-center'">
                <label [className]="globals.isMobile ? 'font-size-mobile has-margin-right-2' : 'font-size-desktop has-margin-right-2'" id="label">Quelle est ta classe ? </label>
                <div class="is-flex">
                    <label (mouseenter)="Enter(i)" (mouseleave)="Leave(i)" (click)="ChangeClass(i)" [style.color]="item.activeColor" [className]="globals.isMobile ? 'is-classLabel-mobile has-margin-right-1': 'has-cursor-pointer is-classLabel has-margin-right-1'" *ngFor="let item of classItems; let i = index" [for]="item.value">
                        <input class="has-cursor-pointer" type="radio" formControlName="chosenClass" [id]="item.value" [value]="item.value"/>
                        {{item.text}}
                    </label>
                </div>
            </div>
            <button #SubmitButton *ngIf="validForm()" [className]="globals.isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="Submit()">Valider</button>
        </form>
    </div>
</div>

<div #Success class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <div class="is-flex is-align-center is-column flex-grow-4">
          <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/checkProfil.png">
          <p class="modal-card-title has-margin-top-1">Création de compte réussie !</p>
        </div>
        <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
      </header>
      <section class="modal-card-body is-flex is-column">
        <p class="is-modal-paragraph"> Ton compte a bien été créé ! <br> Un email a été envoyé pour l'activer.</p>
        <button class="default-style submit-style has-margin-top-10" (click)="redirect()">Valider</button>
      </section>
    </div>
</div>

<div #Failure class="modal">
    <div class="modal-background"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <div class="is-flex is-align-center is-column flex-grow-4">
          <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
          <p class="modal-card-title has-margin-top-1">Une erreur est survenue !</p>
        </div>
        <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
      </header>
      <section class="modal-card-body is-flex is-column">
        <p class="is-modal-paragraph"> Il semble y avoir un problème.</p>
        <button class="default-style failure-style has-margin-top-10" (click)="Submit()">Réessayer</button>
      </section>
    </div>
</div>